SystemOrganization addCategory: #'Seaside-Pharo-Environment'!

WAHtmlErrorHandler subclass: #WAHtmlHaltAndErrorHandler
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Pharo-Environment'!

!WAHtmlHaltAndErrorHandler commentStamp: 'jf 11/10/2008 10:09' prior: 0!
This exception handler also catches halts, in order to prevent Debugger windows from popping up and blocking server processes in deployed images.

Subclass this to provide a customized response or more advanced handling (e.g. emailing of errors).!

!WAHtmlHaltAndErrorHandler classSide methodsFor: 'exception handling' stamp: 'jf 12/29/2008 17:47'!
exceptionSelector
	^ super exceptionSelector, Halt! !

!GRPackage classSide methodsFor: '*seaside-pharo-environment' stamp: 'lr 2/17/2010 15:13'!
seasidePharoEnvironment
	^ self new
		name: 'Seaside-Pharo-Environment';
		addDependency: 'Seaside-Environment';
		addDependency: 'Seaside-Pharo-Core';
		addDependency: 'Seaside-Pharo-Canvas';
		url: #seasideUrl;
		yourself! !
